(setq e (car (entsel "恁寁剒猁溫湮腔昜极ㄩ")))
(setq pc (cdr (assoc 10 (entget e))))
(setq p (getpoint "\n恁寁溫湮綴妗极腔弇离ㄩ"))
(setq k (getreal "\n怀[$#63541]坫[$#63541]掀瞰ㄩ"))
(setq r (cdr (assoc 40 (entget e))))
(command "copy" "cp")
(setq n 0)
(repeat 180
(command (polar pc (/(* 2 n pi)180) r))
(setq n (+ n 1))
)
(command "" "" pc p)
(setq n 0)
(setvar "pickbox" 5)
(command "zoom" "c" p (* 3 r))
(command "circle" p r)
(setq ep (entlast))
(command "trim" ep "")
(repeat 180
(command (polar p (/ (* 2 n pi) 180) (* r 1.1)))
(command "F" (polar p (/ (* 2 n pi) 180) (* r 1.01)))
(setq n (+ n 1))
(command (polar p (/ (* 2 n pi) 180) (* r 1.01)) "")
)